/*
File Name: style.css
Date: 04/21/20
Programmer: Fredy Chavez
*/

/* MOBILE STYLES */

body {
    font-family: "Open Sans", sans-serif;
    line-height: 1.5em;
    background-color: #E8E8E8;
}

p, h1, h2, h3 {
    margin: 1em 0;
}

h1, h2, h3 {
    font-weight: bold;
}

h1 {
    font-size: 2em;
    text-shadow: 2px 2px #989898;
    margin-bottom: 0;
    margin-top: 0;
    line-height: 2em;
}

h2 {
    font-size: 1.4em;
}

h3 {
    font-size: 1.1em;
    font-style: italic;
}

ol {
    list-style: decimal;
    margin-left: 25px;
}

li {
    line-height: 1.5em;
}

footer {
    margin-bottom: 10px;
    font-style: italic;
    color: #9F00C5;
    text-align: center;
}

#references ul {
    list-style-type: disc;
    list-style-position: inside;
}

#references a:link, #references a:visited {
    text-decoration: none;
}

#references a:hover {
    text-decoration: underline;
    color: #E8E8E8;
    background-color: #0000FF;
}

#container {
    margin: 0 1em;
}

#summary {
    font-size: .6em;
    font-style: italic;
    line-height: 115%;
    margin-top: 5px;
    letter-spacing: 1px;
}

#summary:first-letter {
    font-size: 1.5em;
    font-weight: bold;
}

#designer {
    font-size: .75em;
    line-height: 1.1em;
    text-align: left;
}

#contact {
    letter-spacing: 3px;
    font-size: 0.9em;
}

.butterflies {
    display: grid;
    grid-gap: 20px;
    padding: 10px;
}

.item1 {
    grid-column: 1 / span 12;
    grid-row: 1;
}

.item2 {
    grid-column: 1 / span 12;
    grid-row: 2;
}

.item3 {
    grid-column: 1 / span 12;
    grid-row: 3;
}

/* TABLET STYLES */

@media only screen and (min-width: 600px) {

body {
    background-color: #CCFFCC;
    margin: 0 4%;
}

h2 {
    margin-top: 0;
    margin-bottom: .8em;
}

h3 {
    margin-top: 0;
}

ol {
    margin-bottom: 15px;
}

ol li {
    margin-left: 8px;
}
    
ul {
    margin-bottom: 1em;
}
    
#funfacts ol {
    margin-left: 18px;
}

.item1 {
    grid-column: 1 / span 6;
    grid-row: 1;
}

.item2 {
    grid-column: 7 / span 6;
    grid-row: 1;
}
    
.item3 {
    grid-column: 1 / span 6;
    grid-row: 2;
}
    
}

/* DESKTOP STYLES */

@media only screen and (min-width: 1025px) {

body {
    background-color: #D1EEEE;
    margin: 0 3%;
}

.item1 {
    grid-column: 1 / span 4;
    grid-row: 1;
}    

.item2{
    grid-column: 5 / span 4;
    grid-row: 1;
}    

.item3{
    grid-column: 9 / span 4;
    grid-row: 1;
} 

}
